package com.goldenwater.slgc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.AttPipeBase;
import com.goldenwater.slgc.mapper.AttPipeBaseMapper;
import com.goldenwater.slgc.service.PipeService;

/** 管道信息 业务实现 */
@Service
public class PipeServiceImpl implements PipeService {
    @Autowired
    private AttPipeBaseMapper attPipeBaseMapper;

    @Override
    public List<AttPipeBase> selectAttPipeBaseList(AttPipeBase attPipeBase) {
        return attPipeBaseMapper.selectAttPipeBaseList(attPipeBase);
    }

    @Override
    public AttPipeBase selectAttPipeBaseById(String pipeCode) {
        return attPipeBaseMapper.selectAttPipeBaseById(pipeCode);
    }

    @Override
    public int deleteAttPipeBaseByIds(String[] pipeCodes) {
        return attPipeBaseMapper.deleteAttPipeBaseByIds(pipeCodes);
    }

    @Override
    public int insertAttPipeBase(AttPipeBase attPipeBase) {
        return attPipeBaseMapper.insertAttPipeBase(attPipeBase);
    }

    @Override
    public int updateAttPipeBase(AttPipeBase attPipeBase) {
        return attPipeBaseMapper.updateAttPipeBase(attPipeBase);
    }
}
